# Class Features

java.lang.Object
org.snpeff.genBank.Features

All Implemented Interfaces:
  `Iterable<Feature>`

Direct Known Subclasses:
  `Embl, GenBank`

public abstract class Features extends Object implements Iterable<Feature>
A class representing a set of features References: http://www.ebi.ac.uk/embl/Documentation/FT_definitions/feature_table.html

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPLEMENT`
`static boolean`
`debug`
`static final String`
`JOIN`
`static final int`
`MAX_LEN_TO_SHOW`
`static final String`
`ORDER`

## Constructor Summary

Constructors
Constructor
Description
`Features(String fileName)`
Create features from a file
`Features(LineFileIterator lineFileIterator)`
Create features from a file

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccession()`
`String`
`getDate()`
`String`
`getDefinition()`
`String`
`getDivision()`
`ArrayList<Feature>`
`getFeatures()`
`String`
`getKeywords()`
`String`
`getLocusName()`
`String`
`getMoleculeType()`
`String`
`getOrganism()`
`ArrayList<StringBuffer>`
`getReferences()`
`String`
`getSequence()`
`int`
`getSequenceLength()`
`String`
`getShape()`
`String`
`getSource()`
`String`
`getVersion()`
`boolean`
`isEmpty()`
`protected abstract boolean`
`isNewFeature(String line)`
Is there a new feature in this line?
`Iterator<Feature>`
`iterator()`
`protected void`
`open(String fileName)`
Open a file
`protected void`
`parseFeatures()`
Parse features
`protected abstract void`
`readFile()`
Load and parse the contents of a data file previously opened by 'open()' method.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Field Details

### debug

public static boolean debug

### MAX_LEN_TO_SHOW

public static final int MAX_LEN_TO_SHOW

See Also:
  - Constant Field Values

### COMPLEMENT

public static final String COMPLEMENT

See Also:
  - Constant Field Values

### JOIN

public static final String JOIN

See Also:
  - Constant Field Values

### ORDER

public static final String ORDER

See Also:
  - Constant Field Values

## Constructor Details

### Features

public Features(LineFileIterator lineFileIterator)
Create features from a file

### Features

public Features(String fileName)
Create features from a file

## Method Details

### getAccession

public String getAccession()

### getDate

public String getDate()

### getDefinition

public String getDefinition()

### getDivision

public String getDivision()

### getFeatures

public ArrayList<Feature> getFeatures()

### getKeywords

public String getKeywords()

### getLocusName

public String getLocusName()

### getMoleculeType

public String getMoleculeType()

### getOrganism

public String getOrganism()

### getReferences

public ArrayList<StringBuffer> getReferences()

### getSequence

public String getSequence()

### getSequenceLength

public int getSequenceLength()

### getShape

public String getShape()

### getSource

public String getSource()

### getVersion

public String getVersion()

### isEmpty

public boolean isEmpty()

### isNewFeature

protected abstract boolean isNewFeature(String line)
Is there a new feature in this line?

### iterator

public Iterator<Feature> iterator()

Specified by:
  `iterator` in interface `Iterable<Feature>`

### open

protected void open(String fileName)
Open a file

### parseFeatures

protected void parseFeatures()
Parse features

### readFile

protected abstract void readFile()
Load and parse the contents of a data file previously opened by 'open()' method.

### toString

public String toString()

Overrides:
  `toString` in class `Object`